Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.tree.util
Class Navigator.EmptyTextFilter

    java.lang.Object
      net.sf.saxon.tree.iter.AxisIteratorImpl
          net.sf.saxon.tree.util.Navigator.EmptyTextFilter

All Implemented Interfaces:
  SequenceIterator, AxisIterator, UnfailingIterator

Enclosing class:
  Navigator

    public static class Navigator.EmptyTextFilter

extends AxisIteratorImpl

EmptyTextFilter is an iterator that applies removes any zero-length text nodes returned by an underlying AxisIterator.

Field Summary

Fields inherited from class net.sf.saxon.tree.iter.AxisIteratorImpl
`current, position`

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`Navigator.EmptyTextFilter(AxisIterator base)` Construct an EmptyTextFilter

Method Summary
`AxisIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence.
`NodeInfo` | `next()` Get the next item in the sequence.

Methods inherited from class net.sf.saxon.tree.iter.AxisIteratorImpl
`atomize, close, current, getProperties, getStringValue, iterateAxis, moveNext, position`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.EmptyTextFilter

    public Navigator.EmptyTextFilter(AxisIterator base)

  Construct an EmptyTextFilter

  Parameters:
    `base` - the underlying iterator that returns all the nodes on a required axis. This must not be an atomizing iterator

Method Detail

### next

    public NodeInfo next()

  Description copied from interface: `UnfailingIterator`
  Get the next item in the sequence.

  Returns:
    the next Item. If there are no more nodes, return null.

### getAnother

    public AxisIterator getAnother()

  Description copied from interface: `UnfailingIterator`
  Get another iterator over the same sequence of items, positioned at the start of the sequence. It must be possible to call this method at any time, whether none, some, or all of the items in the original iterator have been read. The method is non-destructive: it does not change the state of the original iterator.

  Returns:
    a new iterator over the same sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.